Environment Provisioning - Provision New Environment
Provisions a new environment.
POST https://api.powerplatform.com/environmentmanagement/provisioning/create?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
The API version. |
Request Body
Media Types: "application/json", "text/json", "application/*+json"
| Name | Required | Type | Description |
|---|---|---|---|
| displayName | True |
string minLength: 1 |
The display name of the environment. |
| environmentSku | True |
The environment SKU. |
|
| billingPolicy |
Billing policy for the environment. |
||
| cluster |
Cluster configuration. |
||
| connectedGroupIdForTeamsEnvironment |
string |
Microsoft 365 Group ID to be linked to the Teams environment during provisioning. This property is not applicable for non-Teams environments. |
|
| databaseType |
string |
The type of database to create (for example, CommonDataService). |
|
| description |
string |
An optional description for the environment. |
|
| finOpsMetadata |
FinOps metadata for environment provisioning. |
||
| governanceConfiguration |
Governance configuration. |
||
| linkedEnvironmentMetadata |
Metadata for the linked Dataverse environment. |
||
| location |
string |
The location where the environment will be provisioned. |
|
| parentEnvironmentGroup |
Parent environment group. |
||
| usedBy |
Represents the identity of a user. |
Responses
| Name | Type | Description |
|---|---|---|
| 201 Created |
Created Media Types: "text/plain", "application/json", "text/json" |
|
| 202 Accepted |
Accepted Media Types: "text/plain", "application/json", "text/json" |
|
| 400 Bad Request |
Bad Request Media Types: "text/plain", "application/json", "text/json" |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Create |
Request model for provisioning a new environment. |
|
Create |
Billing policy for the environment. |
|
Create |
Cluster configuration. |
|
Create |
Currency settings for environment provisioning. |
|
Create |
FinOps metadata for environment provisioning. |
|
Create |
Governance configuration. |
|
Create |
Metadata for the linked Dataverse environment. |
|
Create |
Parent environment group. |
| Environment |
Power platform Environment |
|
Environment |
The environment SKU. |
|
Error |
Represents error information for an operation. |
|
Operation |
Represents the result of an operation execution. |
|
Operation |
The status of operation. |
|
Protection |
The environment governance protection level. |
|
Stage |
The stage status of an operation. |
|
User |
Represents the identity of a user. |
|
Validation |
Represents the response for validation of an operation. |
CreateEnvironmentRequest
Request model for provisioning a new environment.
| Name | Type | Description |
|---|---|---|
| billingPolicy |
Billing policy for the environment. |
|
| cluster |
Cluster configuration. |
|
| connectedGroupIdForTeamsEnvironment |
string |
Microsoft 365 Group ID to be linked to the Teams environment during provisioning. This property is not applicable for non-Teams environments. |
| databaseType |
string |
The type of database to create (for example, CommonDataService). |
| description |
string |
An optional description for the environment. |
| displayName |
string minLength: 1 |
The display name of the environment. |
| environmentSku |
The environment SKU. |
|
| finOpsMetadata |
FinOps metadata for environment provisioning. |
|
| governanceConfiguration |
Governance configuration. |
|
| linkedEnvironmentMetadata |
Metadata for the linked Dataverse environment. |
|
| location |
string |
The location where the environment will be provisioned. |
| parentEnvironmentGroup |
Parent environment group. |
|
| usedBy |
Represents the identity of a user. |
CreateEnvironmentRequestBillingPolicy
Billing policy for the environment.
| Name | Type | Description |
|---|---|---|
| id |
string |
The billing policy ID. |
CreateEnvironmentRequestCluster
Cluster configuration.
| Name | Type | Description |
|---|---|---|
| category |
string |
The cluster category (for example, FirstRelease). |
CreateEnvironmentRequestCurrency
Currency settings for environment provisioning.
| Name | Type | Description |
|---|---|---|
| code |
string |
The currency code (for example, USD). |
| name |
string |
The currency name. |
| precision |
integer (int32) |
The currency precision. |
| symbol |
string |
The currency symbol. |
CreateEnvironmentRequestFinOpsMetadata
FinOps metadata for environment provisioning.
| Name | Type | Description |
|---|---|---|
| id |
string |
The FinOps environment ID. |
| type |
string |
The FinOps environment link type. |
| url |
string |
The FinOps environment URL. |
CreateEnvironmentRequestGovernance
Governance configuration.
| Name | Type | Description |
|---|---|---|
| protectionLevel |
The environment governance protection level. |
CreateEnvironmentRequestLinkedMetadata
Metadata for the linked Dataverse environment.
| Name | Type | Description |
|---|---|---|
| baseLanguage |
integer (int32) |
The base language code (for example, 1033 for English). |
| currency |
Currency settings for environment provisioning. |
|
| domainName |
string |
The domain name. |
| securityGroupId |
string |
The security group ID. |
| templateMetadata |
object |
A JSON object payload customized for the selected templates. |
| templates |
string[] |
The templates to apply. |
CreateEnvironmentRequestParentGroup
Parent environment group.
| Name | Type | Description |
|---|---|---|
| id |
string |
The environment group ID. |
Environment
Power platform Environment
| Name | Type | Description |
|---|---|---|
| dataverseOrganizationUrl |
string |
Dataverse organization Url of the environment. |
| displayName |
string |
Display name of the environment. |
| environmentId |
string |
The environment ID. |
EnvironmentSku
The environment SKU.
| Value | Description |
|---|---|
| NotSpecified | |
| Standard | |
| Premium | |
| Developer | |
| Basic | |
| Production | |
| Sandbox | |
| Trial | |
| Default | |
| Support | |
| SubscriptionBasedTrial | |
| Teams | |
| Platform |
ErrorInfo
Represents error information for an operation.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error Code. |
| fieldErrors |
object |
The detailed error. |
OperationExecutionResult
Represents the result of an operation execution.
| Name | Type | Description |
|---|---|---|
| endTime |
string (date-time) |
The end time of the operation. |
| errorDetail |
Represents error information for an operation. |
|
| name |
string |
The name of the operation. |
| operationId |
string |
The ID of the operation. |
| requestedBy |
Represents the identity of a user. |
|
| stageStatuses |
The list of State statuses associated with the operation. |
|
| startTime |
string (date-time) |
The start time of the operation. |
| status |
The status of operation. |
|
| updatedEnvironment |
Power platform Environment |
OperationStatus
The status of operation.
| Value | Description |
|---|---|
| Queued | |
| InProgress | |
| Succeeded | |
| ValidationFailed | |
| Failed | |
| NoOperation | |
| ValidationPassed |
ProtectionLevel
The environment governance protection level.
| Value | Description |
|---|---|
| NotSpecified | |
| Basic | |
| Standard |
StageStatus
The stage status of an operation.
| Name | Type | Description |
|---|---|---|
| endTime |
string (date-time) |
The end time of stage. |
| errorDetail |
Represents error information for an operation. |
|
| name |
string |
The name of stage. |
| startTime |
string (date-time) |
The start time of stage. |
| status |
string |
The status of stage. |
UserIdentity
Represents the identity of a user.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The display name of the user. |
| tenantId |
string |
The tenant ID of the user. |
| userId |
string |
The ID of the user. |
ValidationResponse
Represents the response for validation of an operation.
| Name | Type | Description |
|---|---|---|
| errorDetail |
Represents error information for an operation. |